<?php
!defined('IN_ONEZ') && exit('Access Denied');
include_once(dirname(__FILE__).'/init.php');
onez('page')->init()
->set('title','积分设置')
;
onez('page')->add('form',$form);
onez('kindeditor');

$form->add(array('label'=>'积分名称','type'=>'text','key'=>'credit_name','hint'=>'积分','notempty'=>'','group'=>''));
$form->add(array('label'=>'积分单位','type'=>'text','key'=>'credit_unit','hint'=>'个','notempty'=>'','group'=>''));
$form->add(array('label'=>'保留几位小数','type'=>'text','key'=>'credit_format','hint'=>'默认为整数','notempty'=>'','group'=>''));
$form->add(array('label'=>'充值比例(1元人民币可兑换多少积分)','type'=>'text','key'=>'credit_bl','hint'=>'1元人民币可兑换多少积分','notempty'=>'','group'=>''));

$form->add(array('label'=>'允许提现','type'=>'checkbox','key'=>'credit_cash_enabled','hint'=>'','notempty'=>'','group'=>''));
$form->add(array('label'=>'提现手续费(百分比)','type'=>'text','key'=>'credit_cash_fee1','hint'=>'每次提现扣除积分的百分之多少做为手续费','notempty'=>'','group'=>''));
$form->add(array('label'=>'提现手续费(单笔)','type'=>'text','key'=>'credit_cash_fee2','hint'=>'每次提现一次性扣除多少积分','notempty'=>'','group'=>''));
$form->add(array('label'=>'允许转账','type'=>'checkbox','key'=>'credit_turn_enabled','hint'=>'','notempty'=>'','group'=>''));
$form->add(array('label'=>'转账手续费(百分比)','type'=>'text','key'=>'credit_turn_fee1','hint'=>'每次转账扣除积分的百分之多少做为手续费','notempty'=>'','group'=>''));
$form->add(array('label'=>'转账手续费(单笔)','type'=>'text','key'=>'credit_turn_fee2','hint'=>'每次转账一次性扣除多少积分','notempty'=>'','group'=>''));


$form->add(array('label'=>'开启人工充值(后台审核方式)','type'=>'checkbox','key'=>'credit_charge_user','hint'=>'','notempty'=>'','group'=>''));
$form->add(array('label'=>'人工充值说明','type'=>'kindeditor','key'=>'credit_charge_intro','hint'=>'','notempty'=>'','group'=>''));

$form->is_setting(1);#全站设置页

onez('page')->show();